<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" ValidateRequest="false" Inherits="GcPdfViewerSupportApiDemo._Default" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
<link href="https://cdn.materialdesignicons.com/5.0.45/css/materialdesignicons.min.css" rel="stylesheet">
<style>
    html, body, body > form, .body-content {
        height: 100%;
        width: 100%;
    }
    #host {
        padding: 60px 20px 20px 10px;
    }
@media (max-width:500px) {
    #host {
        padding: 50px 0px 0px 0px;
    }
    .body-content {
        padding-left: 0px;
        padding-right: 0px;
    }
}
</style>

<div id="host"></div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
<script src="scripts/lib/pdfviewer/build/gcpdfviewer.js?ts=20230407-01"></script>
<script id="js-sample-code">

var viewer;
var tenantAdded = false, landlordAdded = false;
function applyNormalViewerLayout() {
    viewer.toolbarLayout.viewer = {
        default: ['doc-title', '$split', 'about'],
        mobile: ['doc-title', '$split', 'about'],
        fullscreen: ['$fullscreen', 'doc-title', '$split', 'about']
    };
    viewer.applyToolbarLayout();
}

function applySignedBothViewerLayout() {
    viewer.toolbarLayout.viewer = {
        default: ['save', 'doc-title', '$split', 'about'],
        mobile: ['save', 'doc-title', '$split', 'about'],
        fullscreen: ['$fullscreen', 'save', 'doc-title', '$split', 'about']
    };
    viewer.applyToolbarLayout();
}

function onSignatureAdded(resultDetails) {
    viewer.scrollAnnotationIntoView(resultDetails.pageIndex, resultDetails.annotation);
    if(resultDetails.annotation.subject === 'Tenant') {
        tenantAdded = true;
        viewer.removeAnnotation(0, '13R');
        viewer.removeAnnotation(0, '15R');
    } else if(resultDetails.annotation.subject === 'Landlord') {
        landlordAdded = true;
        viewer.removeAnnotation(0, '16R');
        viewer.removeAnnotation(0, '14R');
    }
    if(tenantAdded && landlordAdded) {
      applySignedBothViewerLayout();
    }
    console.log('Added new stamp, subject is ' + resultDetails.annotation.subject);
}

function createPdfViewer(selector, baseOptions) {
    var options = baseOptions || {};
    if (!options.supportApi) {
        options.supportApi = {
            apiUrl: (window.__baseUrl || '') + 'support-api/gc-pdf-viewer',
            token: window.afToken || '',
            webSocketUrl: false, suppressInfoMessages: true, suppressErrorMessages: true
        };
    }

    options.signTool = {
        selectedTab: 'Draw',
        saveSignature: false,
        penColor: '#000000',
        penWidth: 2,
        canvasSize: { width: 320, height: 112 },
        autoResizeCanvas: false,
        dialogLocation: 'Bottom',
        hideToolbar: true,
        hideTabs: true,      
        hideFooter: true,
        hideSaveSignature: true,
        destinationScale: 0.5,
        beforeShow: function (dialog) {
            if(dialog.subject === 'Landlord')
            {
                dialog.title = 'Landlord/Lessor';
                dialog.location = { x: 87, y: 116 };
            }
            else if(dialog.subject === 'Tenant')
            {
                dialog.title = 'Tenant/Lessee';
                dialog.location = { x: 345, y: 116 } ;
            }
            return true;
        },
        afterAdd: function (result) {
            onSignatureAdded(result);
            return true;
        }
    };
    options.restoreViewStateOnLoad = false;
    viewer = new GcPdfViewer(selector, options);
    viewer.mouseMode = 1;
    viewer.addDefaultPanels();
    viewer.addAnnotationEditorPanel();
    viewer.zoom = 70;
    applyNormalViewerLayout();
    return viewer;
}

    function getHashValue(key) { var matches = location.hash.match(new RegExp(key + '=([^&]*)')); return matches ? matches[1] : null; }
    var viewer;
    var options = {
        workerSrc: 'scripts/lib/pdfviewer/build/gcpdfviewer.worker.js',
        supportApi: {
            apiUrl: '/CustomSupportApi',
            token: 'support-api-demo-token',
            legacyServer: true
        },
        userName: getHashValue('user') || 'Anonymous',
        documentListUrl: '/CustomSupportApi/DocumentList',
        logLevel: 'Debug'
    };
    if (window.createPdfViewer) {
        viewer = window.createPdfViewer('#host', options);
    } else {
        if (options.userName === "Anonymous") {
            options.userName = prompt("Please, input your name", options.userName) || "Anonymous";
        }
        viewer = new GcPdfViewer("#host", options);
        viewer.addDefaultPanels();
        viewer.addFormEditorPanel();
        viewer.addAnnotationEditorPanel();
        //viewer.addDocumentListPanel();
        viewer.addSharedDocumentsPanel();
        <%=(GcPdfViewerSupportApiDemo.Utils.GcPdfViewerRenderHelper.RenderOptions(GcPdfViewerSupportApiDemo.Samples.SamplePdfCreator.GetViewerOptions()))%>
        viewer.beforeUnloadConfirmation = true;        
    }
    if(viewer.then) {
        viewer.then(function(resolvedViewer) { 
            viewer = resolvedViewer;
            viewer.open("/CustomSupportApi/GetSamplePdf"); 
        });
    } else {
        viewer.open("/CustomSupportApi/GetSamplePdf");
    }
    // Viewer opened.
</script>

</asp:Content>
